GET api/LeaveReasonsLive
Use to get all the leave types for all leave reasons
Request Information
URI Parameters
(i.e.queryString parameters in the form ?param1={param1}¶m2={param2})
| Name | Description | Type | Additional information |
|---|---|---|---|
| page |
The page number to return using the pageSize parameter to define pages. Defaults to 1000. |
integer |
Default value is 1 |
| pageSize |
The page size (number of records) to be used to find the record for the page requested. Defaults to 10. |
integer |
Default value is 1000 |
Body Parameters
None.
Response Information
Resource Description
The requested leave reasons as a PagedObject of type LeaveReasonView
PagedObjectOfLeaveReasonView| Name | Description | Type | Additional information |
|---|---|---|---|
| Items | Collection of LeaveReasonView |
None. |
|
| PageInfo | PagedListPageInfo |
None. |
Response Formats
application/json, text/json
Sample:
{
"items": [
{
"leaveReasonId": 1,
"leaveReasonCode": "sample string 2",
"leaveReasonDescription": "sample string 3",
"leaveType": "sample string 4",
"leaveCode": "sample string 5",
"leaveDescription": "sample string 6",
"leaveTypesId": 7,
"prorataEntitle": 8.1,
"prorataEach": 9,
"prorataPeriod": "sample string 10",
"prorataPeriodEach": 11,
"entitleMax": 12.0,
"entitleEach": 13.0,
"entitlePeriod": "sample string 14",
"entitlePeriodEach": 15,
"isHourly": true,
"accrualRate": 17.0,
"payrollLinkToken": "7f2c9b60-1a26-4d42-8196-61d5562aa70f",
"includePublicHolidaysandOffDays": true
},
{
"leaveReasonId": 1,
"leaveReasonCode": "sample string 2",
"leaveReasonDescription": "sample string 3",
"leaveType": "sample string 4",
"leaveCode": "sample string 5",
"leaveDescription": "sample string 6",
"leaveTypesId": 7,
"prorataEntitle": 8.1,
"prorataEach": 9,
"prorataPeriod": "sample string 10",
"prorataPeriodEach": 11,
"entitleMax": 12.0,
"entitleEach": 13.0,
"entitlePeriod": "sample string 14",
"entitlePeriodEach": 15,
"isHourly": true,
"accrualRate": 17.0,
"payrollLinkToken": "7f2c9b60-1a26-4d42-8196-61d5562aa70f",
"includePublicHolidaysandOffDays": true
}
],
"pageInfo": {
"page": 1,
"pageSize": 2,
"totalCount": 3,
"totalPages": 4,
"countThisPage": 5,
"hasPreviousPage": true,
"hasNextPage": true,
"errorMessage": "sample string 8"
}
}
application/xml, text/xml
Sample:
<PagedObjectOfLeaveReasonView xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
<Items>
<LeaveReasonView>
<LeaveReasonId>1</LeaveReasonId>
<LeaveReasonCode>sample string 2</LeaveReasonCode>
<LeaveReasonDescription>sample string 3</LeaveReasonDescription>
<LeaveType>sample string 4</LeaveType>
<LeaveCode>sample string 5</LeaveCode>
<LeaveDescription>sample string 6</LeaveDescription>
<LeaveTypesId>7</LeaveTypesId>
<ProrataEntitle>8.1</ProrataEntitle>
<ProrataEach>9</ProrataEach>
<ProrataPeriod>sample string 10</ProrataPeriod>
<ProrataPeriodEach>11</ProrataPeriodEach>
<EntitleMax>12</EntitleMax>
<EntitleEach>13</EntitleEach>
<EntitlePeriod>sample string 14</EntitlePeriod>
<EntitlePeriodEach>15</EntitlePeriodEach>
<IsHourly>true</IsHourly>
<AccrualRate>17</AccrualRate>
<PayrollLinkToken>7f2c9b60-1a26-4d42-8196-61d5562aa70f</PayrollLinkToken>
<IncludePublicHolidaysandOffDays>true</IncludePublicHolidaysandOffDays>
</LeaveReasonView>
<LeaveReasonView>
<LeaveReasonId>1</LeaveReasonId>
<LeaveReasonCode>sample string 2</LeaveReasonCode>
<LeaveReasonDescription>sample string 3</LeaveReasonDescription>
<LeaveType>sample string 4</LeaveType>
<LeaveCode>sample string 5</LeaveCode>
<LeaveDescription>sample string 6</LeaveDescription>
<LeaveTypesId>7</LeaveTypesId>
<ProrataEntitle>8.1</ProrataEntitle>
<ProrataEach>9</ProrataEach>
<ProrataPeriod>sample string 10</ProrataPeriod>
<ProrataPeriodEach>11</ProrataPeriodEach>
<EntitleMax>12</EntitleMax>
<EntitleEach>13</EntitleEach>
<EntitlePeriod>sample string 14</EntitlePeriod>
<EntitlePeriodEach>15</EntitlePeriodEach>
<IsHourly>true</IsHourly>
<AccrualRate>17</AccrualRate>
<PayrollLinkToken>7f2c9b60-1a26-4d42-8196-61d5562aa70f</PayrollLinkToken>
<IncludePublicHolidaysandOffDays>true</IncludePublicHolidaysandOffDays>
</LeaveReasonView>
</Items>
<PageInfo>
<Page>1</Page>
<PageSize>2</PageSize>
<TotalCount>3</TotalCount>
<TotalPages>4</TotalPages>
<CountThisPage>5</CountThisPage>
<HasPreviousPage>true</HasPreviousPage>
<HasNextPage>true</HasNextPage>
<ErrorMessage>sample string 8</ErrorMessage>
</PageInfo>
</PagedObjectOfLeaveReasonView>